#include <stdio.h>
#include "mpi.h"
#include "pmandel.h"

static int workBytes = 0;
static int procid;

int MPI_Send(void *buffer, const int count, MPI_Datatype datatype, int dest, int tag, MPI_Comm comm)
{
	int size;

	if (tag == WORK_TAG) {
		MPI_Type_size(datatype, &size);
		workBytes += size;
	}
	return PMPI_Send(buffer, count, datatype, dest, tag, comm);
}

int MPI_Init(int *argc, char ***argv)
{
	int retval;

	retval = PMPI_Init(argc, argv);
	MPI_Comm_rank(MPI_COMM_WORLD, &procid);
	return retval;
}

int MPI_Finalize(void)
{
	if (procid == 0)
		printf("%d bytes sent for job distribution\n", workBytes); fflush(stdout);
	return PMPI_Finalize();
}
